Bug 225116 - audio/ncmpc: Update to 0.29
Summary: audio/ncmpc: Update to 0.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://raw.githubusercontent.com/Mus...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-12 18:16 UTC by Dmitri Goutnik
Modified: 2018-01-29 22:10 UTC (History)
2 users (show)

See Also:
henrik: maintainer-feedback+


Attachments
ncmpc-0.29.patch (2.41 KB, patch)
2018-01-12 18:16 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (henrik)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-01-12 18:16:56 UTC
Created attachment 189660 [details]
ncmpc-0.29.patch

* Update to 0.29

Changes [1]:

ncmpc 0.29 - (2017-11-05)
* fix crash after losing MPD connection
* fix crash after DNS lookup error
* add Meson option "lyrics_plugin_dir"
* fallback libncurses detection without pkg-config

ncmpc 0.28 - (2017-09-21)
* fix crash on lyrics screen
* fix memory leak
* hide the MPD password from the queue screen title
* implement password for asynchronous connect
* build with Meson instead of autotools

QA:
  poudriere testport: OK (11a, 10i)

[1] https://raw.githubusercontent.com/MusicPlayerDaemon/ncmpc/v0.29/NEWS
Comment 1 Yuri Victorovich freebsd_committer 2018-01-29 09:00:54 UTC
https://reviews.freebsd.org/D14114
Comment 2 henrik 2018-01-29 12:50:20 UTC
On another note: I'll gladly pass the torch for this port to someone else, as I don't use FreeBSD anymore that often. If no one else shows up, I'll keep maintaining it, but if there's someone who wants to take over, feel free.
Comment 3 Yuri Victorovich freebsd_committer 2018-01-29 22:10:11 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-01-29 22:10:20 UTC
A commit references this bug:

Author: yuri
Date: Mon Jan 29 22:10:06 UTC 2018
New revision: 460349
URL: https://svnweb.freebsd.org/changeset/ports/460349

Log:
  audio/ncmpc: Update to 0.29

  Change log: https://raw.githubusercontent.com/MusicPlayerDaemon/ncmpc/v0.29/NEWS

  PR:		225116
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	tcberner (mentor), henrik@affekt.org (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D14114

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo